Index: less/README.iso.jp
diff -u /dev/null less/README.iso.jp:1.17
--- /dev/null	Wed Dec  6 22:29:41 2000
+++ less/README.iso.jp	Tue Nov 21 09:01:27 2000
@@ -0,0 +1,267 @@
+=========================================================================
+    This is the distribution of enhanced less.
+    It support ISO 2022 code extension techniques and Japanese codes.
+    Please report any problems of it to the author at jam@pobox.com.
+    See http://www.pobox.com/~jam/less/ for the latest info.
+=========================================================================
+    This file is written by Japanese and JIS code and contains
+    almost same information in README.iso.
+=========================================================================
+
+
+**$BFCD'(B**
+
+ - ISO 2022 in 7bits$B$H!"(Bin 8bits$B$r%5%]!<%H!#(B
+ - $BF~NO$H$7$F<h$j07$($kJ8;z%3!<%I$N<oN`$O0J2<$NDL$j!#(B
+   - ISO 2022$B$N<BAu%l%Y%k(B3$BAjEv!#(B
+   - MULE$B$GMxMQ$5$l$F$$$k(BESC 2/4[$] 2/12[,] FE$B$H$$$&FC<l$J3d(B
+     $BEv!#(B
+   - LESS-JIS$B!"(BUJIS$B!"(BSJIS$B$H$$$C$?F|K\8l%3!<%I!#(B
+     - LESS-JIS$B$O!"(BJIS C 6226-1978$B!"(BJIS X 0208-1983$B!"(BJIS X 0208:1990/1997$B!"(B
+       JIS X 0212:1990$B!"(BJIS X 0213:2000$B!"(BJIS X 0201:1976/1997$B:8(B/$B1&LL!"(B
+       $B$=$7$F(BASCII$B$,MxMQ$G$-$^$9!#(B
+     - UJIS$B$O!"(BJIS C 6226-1978$B!"(BJIS X 0208-1983$B!"(BJIS X 0208:1990/1997$B!"(B
+       JIS X 0213:2000$B$N(B1$BLL$N$&$A$N$I$l$+!"(BJIS X 0201:1976/1997$B:8LL(B
+       $B$+(BASCII$B$N$I$A$i$+!"(BJIS X 0201:1976/1997$B1&LL!"$=$7$F(B
+       JIS X 0212:1990$B$H(BJIS X 0213:2000$B$N(B2$BLL$NN>J}$,MxMQ$G$-$^$9!#(B
+     - SJIS$B$O!"(BJIS C 6226-1978$B!"(BJIS X 0208-1983$B!"(BJIS X 0208:1990/1997$B!"(B
+       JIS X 0213:2000$B$N(B1$BLL$N$&$A$N$I$l$+!"(BJIS X 0201:1976/1997$B:8LL(B
+       $B$+(BASCII$B$N$I$A$i$+!"(BJIS X 0201:1976/1997$B1&LL!"$=$7$F(B
+       JIS X 0213:2000$B$N(B2$BLL$,MxMQ$G$-$^$9!#(B
+ - $B=PNO$H$7$FMxMQ$G$-$kJ8;z%3!<%I$N<oN`$O0J2<$NDL$j!#(B
+   - iso8 (X11$B$J$I$G8@$&=j$N(BCTEXT$B$KAjEv(B)$B!#(B
+   - G0$B!"(BG1$B$X$N8F$S=P$7%7!<%1%s%9$H(BSI, SO$B$@$1$r;H$C$?(Biso7$B!#(B
+   - LESS-JIS$B!"(BUJIS$B!"(BSJIS$B$H$$$C$?F|K\8l%3!<%I!#(B
+     - LESS-JIS$B$O!"(BJIS X 0208-1983$B$N;zLL$,(BJIS X 0213:2000$B$N(B1
+       $BLL$K$J$C$F$$$k$3$H$r2>Dj$7$?>e$G$N(BJIS X 0208-1983$B$H!"(B
+       JIS X 0201:1976/1997$B:8(B/$B1&LL!"(BASCII$B$rMxMQ$7$F=PNO$7$^(B
+       $B$9!#(BJIS X 0212:1990$B$H(BJIS X 0213:2000$B$N(B2$BLL$O=PNO$G$-$J(B
+       $B$$$?$a!"=PNO;~$K@5$7$/$J$$J8;z$H$7$F%^!<%/$7$FI=<($5(B
+       $B$l$^$9!#$b$7!"F~NODL$j$N=PNO$,M_$7$$>l9g$O!"(Biso7$B$d(B
+       iso8$B$rMxMQ$7$F=PNO$7$F2<$5$$!#(B
+     - UJIS$B$O!"(BJIS C 6226-1978$B!"(BJIS X 0208-1983$B!"(BJIS X 0208:1990/1997$B!"(B
+       JIS X 0213:2000$B$N(B1$BLL$N$&$A$N$I$l$+!"(BJIS X 0201:1976/1997$B:8LL(B
+       $B$+(BASCII$B$N$I$A$i$+!"(BJIS X 0201:1976/1997$B1&LL!"$=$7$F(B
+       JIS X 0212:1990$B$H(BJIS X 0213:2000$B$N(B2$BLL$NN>J}$,MxMQ$7$F(B
+       $B=PNO$7$^$9!#(B
+     - SJIS$B$O!"(BJIS C 6226-1978$B!"(BJIS X 0208-1983$B!"(BJIS X 0208:1990/1997$B!"(B
+       JIS X 0213:2000$B$N(B1$BLL$N$&$A$N$I$l$+!"(BJIS X 0201:1976/1997$B:8LL(B
+       $B$+(BASCII$B$N$I$A$i$+!"(BJIS X 0201:1976/1997$B1&LL!"$=$7$F(B
+       JIS X 0213:2000$B$N(B2$BLL$,MxMQ$7$F=PNO$7$^$9!#(B
+ - compress$B$d(Bgzip$B$5$l$?%U%!%$%k$r4JC1$KD/$a$k$3$H$,$G$-$k!#(B
+
+**$BLdBjE@(B**
+
+ - $BJ8;z$N8!:w$O!"FbIt%3!<%I$KJQ49$7$?8e$K=hM}$7$^$9!#$=$NJQ(B
+   $B49$N:]$KJ8;z$HJ8;z$N4V$K7d4V$,@8$8$?>l9g!"@55,I=8=%i%$%V(B
+   $B%i%j$K$h$k8!:w$,$G$-$^$;$s!#6qBNE*$K$O!"(B"$B$"(Ba"$B$N$h$&$J%(%9(B
+   $B%1!<%W%7!<%1%s%9$r69$s$@J8;z$N8!:w$d!"H>3Q%+%?%+%J$,(BUJIS
+   $B$G=q$+$l$F$$$?>l9g$J$I$K!"8!:w$,$G$-$^$;$s!#(B
+ - character set$B$rM}2r$9$k@55,I=8=%i%$%V%i%j$rMxMQ$9$k$3$H$K(B
+   $B$h$C$F!"$3$NLdBj$O2r7h$G$-$^$9!#(B
+ - $B$^$?!"8!:w$N:]$K!"(B'^R'$B$HF~NO$7$F!"Hs@55,I=8=%b!<%I$G8!:w(B
+   $B$9$k$3$H$K$h$C$F$b!"$3$NLdBj$r2r7h$G$-$^$9!#(B
+
+**$B3HD%E@(B**
+
+ - JLESSCHARSET$B4D6-JQ?t$G!"F~NO$H=PNO$KMxMQ$9$k%3!<%I$rF1;~(B
+   $B$K!"$b$7$/$O$=$l$>$l;XDj$G$-$^$9!#F1;~$K;XDj$9$k>l9g$O!"(B
+   $BC1=c$K$=$N%3!<%I$r;XDj$7$^$9!#Nc$($P(B"ujis"$B$H$9$k$H!"(BUJIS
+   $B$@$1$rF~NO$H=PNO$KMxMQ$7$^$9!#JL!9$K;XDj$9$k>l9g$O!"F~NO(B
+   $B$KMxMQ$9$k%3!<%I$r(B"-"$B$G@\B3$7$F;XDj$7$^$9!#$3$N>l9g:G8e$K(B
+   $B;XDj$7$?%3!<%I$,=PNOMQ$N%3!<%I$K$J$j$^$9!#Nc$($P!"(B
+   "japanese-iso7"$B$H$9$k$H!"F|K\8l$N%3!<%I$9$Y$F$H(Biso7$B$rF~NO(B
+   $B$H$7$F<h$j07$$!"$=$l$r(Biso7$B$G=PNO$7$^$9!#8=:_0J2<$NCM$,Mx(B
+   $BMQ$G$-$^$9!#(B
+   - $B:G=i$+$i$"$C$?$b$N(B: ascii, latin1, dos, koi8-r, next
+   - $B3HD%$7$?$b$N(B: iso7, iso8, ujis-iso7, euc-iso7,
+		   sjis-iso7, jis, ujis-jis, euc-jis,
+		   sjis-jis, ujis, euc, jis-ujis, jis-euc,
+		   sjis, jis-sjis, japanese, japanese-iso7,
+		   japanese-jis, japanese-ujis,
+		   japanese-euc, japanese-sjis
+ - $BFC<l$J;XDj$H$7$F!"$"$k%3!<%I$rF~NO$7!"$"$k%3!<%I$G=P$9$H(B
+   $B$$$&;XDj$b$"$j$^$9!#Nc$($P!"(B"ujis-sjis"$B$H$9$k$H!"(BUJIS$B$@$1(B
+   $B$rF~NO$H$7$F07$$!"$=$l$r(BSJIS$B$KJQ49$7$F=PNO$7$^$9!#(B
+   - $BFC<l$J$b$N(B: ujis-sjis, euc-sjis, sjis-ujis, sjis-euc
+ - JLESSPLANESET$B4D6-JQ?t$G!"(Biso8$B$d(Biso7$B$N%G%#%U%)%k%H$N(Bplane
+   set$B$r7h$a$k$3$H$,$G$-$^$9!#$3$l$K$h$C$F!":G=i$+$i(BG1$B$K(BISO
+   8859-1$B$r8F$S=P$7$F$*$/$H$$$C$?A`:n$,2DG=$G$9!#>\$7$/$O%^(B
+   $B%K%e%"%k$rFI$s$G2<$5$$!#(B
+ - JLESSKEYCHARSET$B4D6-JQ?t$G!"%-!<%\!<%I$+$i$NF~NO$KMxMQ$9$k(B
+   $B%3!<%I$r;XDj$G$-$^$9!#(BJLESSCHARSET$B$HF1$8CM$,MxMQ$G$-$^$9!#(B
+ - $B<+F0H=JL$@$1$G$OET9g$,0-$$$3$H$b$"$k$?$a!":G>e0L%S%C%H$,(B
+   $BN)$C$?%3!<%I$NH=JLJ}K!$r=g!9$KJQ99$9$k$?$a$N%-!<$rMQ0U$7(B
+   $B$F$$$^$9!#(B'@'$B%-!<!"5!G=L>$O(B"rotate-right"$B$G$9!#(B
+ - $B%-%c%i%/%?%;%C%H$r2r<a$9$k@55,I=8=%i%$%V%i%j$rMxMQ$9$k$K(B
+   $B$O!"(B"--with-cs-regex"$B$H$$$&%*%W%7%g%s$H6&$K!"(Bconfigure$B%9(B
+   $B%/%j%W%H$r<B9T$7$F%3%s%Q%$%k$7$F2<$5$$!#(B
+
+**less$B$NF|K\8l2=$d4XO"$7$?%Q%C%A$NNr;K(B**
+
+ - less$B$NF|K\8l2=$K4X$7$F(B
+   - $B2CF#$5$s$,!"%(%9%1!<%W%7!<%1%s%9$rDL$9$h$&$K$9$kJQ99E@(B
+     $B$rEj9F$5$l$?!#(B
+   - Kameyama$B$5$s$,!"(BUJIS$B$rDL$9$h$&$K$9$k%Q%C%A$rEj9F$5$l$?!#(B
+   - Shinoda$B$5$s$,!"(BSJIS$B$rDL$9(Bless.exe$B$rEj9F$5$l$?!#(B
+   - $B4\$5$s$,!"(Bless-48$B$r(BJIS$B2=!"(BSJIS$B2=$7$FEj9F$5$l$?!#(B
+   - $B@FF#$5$s$,!"(Bless$B$NF~NOIt$K4A;z%3!<%IJQ49%U%#%k%?$rIU$1(B
+     $B$k$?$a$N%W%m%0%i%`$rEj9F$5$l$?!#(B
+   - $BB@ED$5$s$,!"%m!<%^;z$+$i2>L>$KJQ49$b9T$&$h$&$KJQ99$7$?(B
+     $B$b$N$rEj9F$5$l$?!#(B
+   - $B;3KL$5$s$,!"99$K(BWnn$B$KDL$7$F<+F04A;zJQ49$9$k$?$a$N%Q%C%A(B
+     $B$rEj9F$5$l$?!#(B
+   - $B5HED$5$s$,!"(Bless-73$B$r(BUJIS$B!"(BSJIS$B2=$7$?$b$N$rEj9F$5$l$?!#(B
+   - $B5HED$5$s$,!"(Bless-97$B$r(BUJIS$B!"(BSJIS$B2=$7$?$b$N$rEj9F$5$l$?!#(B
+   - $B2CF#$5$s$,!"(Bless-97$B$N(BUJIS$B2=HG$r!"99$K(BJIS$B2=$9$k%Q%C%A$rEj(B
+     $B9F$5$l$?!#(B
+   - $B@P0f$5$s$,!"2CF#$5$s$N%Q%C%A$r;29M$K!"$I$C$A$NHG$G$b!"(B
+     JIS$B$H$rDL$9$h$&$K$9$k%Q%C%A$rEj9F$5$l$?!#(B
+   - $BEDCf$5$s$,!"(Bless-123$B$r(BSJIS$B2=$7$FEj9F$5$l$?!#(B
+   - $B@n>e$5$s$,!"99$K(BJIS$B2=$9$k%Q%C%A$rEj9F$5$l$?!#(B
+   - $B4]@n$,!"(Bless-171$B$rF|K\8l2=$7$FEj9F$7$?!#(B
+   - $B4]@n$,!"(Bless-177$B$rF|K\8l2=$7$FEj9F$7$?!#(B
+   - $BF|2<It$5$s$,!"4]@n$N(Bless-177$B$X$N%Q%C%A$r!"(Bless-178$B$KBP(B
+     $B1~$5$;$FEj9F$5$l$?!#(B
+   - $B@gED$5$s$,!"(Bless-177$B$K4A;z%3!<%II=<(5!G=$rDI2C$5$l$?!#(B
+   - $B<r0f$5$s$,!"F|2<It$5$s$,Ej9F$5$l$?%Q%C%A$r!"(Bless-200$B$K(B
+     $BBP1~$5$;$FEj9F$5$l$?!#(B
+   - $B4]@n$,!"(Bless-205$B$N(BISO 2022$B2=%Q%C%A$rEj9F$7$?!#(B
+   - $B4]@n$,!"(Bless-237$B$N(BISO 2022$B2=%Q%C%A$rEj9F$7$?!#(B
+   - $B4]@n$,!"(Bless-290$B$N(BISO 2022$B2=%Q%C%A$rEj9F$7$?!#(B
+   - $B5m:,$5$s$,!"4]@n$N(Bless-290$B$X$N%Q%C%A$r!"(Bless-321$B$KBP1~(B
+     $B$5$;$FEj9F$5$l$?!#(B
+   - $B4]@n$,!"(Bless-330$B$N(BISO 2022$B2=%Q%C%A$rEj9F$7$?!#(B
+     $B$3$N;~E@$+$i!"(Bjless-330-iso202$B$H$$$&L>A0$rIU$1$?!#(B
+   - $B%P%0$r<h$C$F(Bjless-330-iso203$B$H$7$FEj9F$7$?!#(B
+   - $BBgI}$K=q$-D>$7$F(Bjless-330-iso208$B$H$7$FEj9F$7$?!#(B
+   - $B?'!9$H%P%0$r<h$C$FEj9F!"8x3+$7$?!#(B
+
+ - jless$B$K4X$7$F(B
+   - less-237$B$r(BISO 2022$B2=$7$?$b$N$KBP$9$k4A;z8!:w%Q%C%A(B2$B<o$r(B
+     $B8x3+$7$?!#(B
+   - jless-330-iso210$B$G(Bgawk-2.15.6-mb1.04$B$N4A;z@55,I=8=%i%$(B
+     $B%V%i%j$rMxMQ$9$k$?$a$N%Q%C%A$r8x3+$7$?!#(Biso212$B0J9_$G$b(B
+     $BMxMQ2DG=!#(B
+   - jless-330-iso212$B$N(Bless.hlp$B$rF|K\8l2=$7$?$b$N$r8x3+$7$?!#(B
+     iso212$B0J9_$G$bMxMQ2DG=!#(B
+
+**FAQ**
+
+ Q: $BF|K\8l$,I=<($5$l$^$;$s!#2hLL>e$O!"H?E>I=<($5$l$?J8;z$G0l(B
+    $BGU$G$9!#(B
+ A: JLESSCHARSET$B4D6-JQ?t$K(B"japanese"$B$H@_Dj$7$^$7$g$&!#(BLANG$B4D(B
+    $B6-JQ?t$K(B"ja_JP"$B$J$I@_Dj$9$k$H$$$&J}K!$b$"$j$^$9!#9%$-$J(B
+    $BJ}K!$rA*$s$G2<$5$$!#(B
+
+ Q: $BF|K\8l$,I=<($5$l$^$;$s!#2hLL>e$O!"$J$s$+5-9f$G0lGU$G$9!#(B
+ A: less$B$,=PNO$7$F$$$k4A;z$rC<Kv$G<h$j07$($F$$$J$$$h$&$G$9!#(B
+    JLESSCHARSET$B4D6-JQ?t$K(B"japanese-ujis"$B$d(B"japanese-sjis"$B$J(B
+    $B$I!"MxMQ$7$F$kC<Kv$GI=<($G$-$k4A;z%3!<%I$r;XDj$7$F2<$5$$!#(B
+
+ Q: $B05=L$5$l$?%U%!%$%k$rFI$`$3$H$,$G$-$^$;$s!#(B
+ A: $B05=L$5$l$?%U%!%$%k$O(B".z"$B$d(B".gz"$B!"(B".Z"$B$H$$$C$?3HD%;R$K$h$C(B
+    $B$F6hJL$5$l$F$^$9!#$^$?!"$=$N%U%!%$%k$r?-D9$9$k$K$O!"C1$K(B
+    "zcat"$B$r<B9T$7$F$$$^$9!#(BGNU$B$N(Bgzip$B$r(Bzcat$B$H$$$&L>A0$G%$%s(B
+    $B%9%H!<%k$7$F$*$/$3$H$r$*A&$a$7$^$9!#$^$?!"(Bless$B$N%^%K%e%"(B
+    $B%k$K=q$+$l$F$$$k$h$&$K!"(BLESSOPEN$B$H(BLESSCLOSE$B$r@_Dj$9$k$3(B
+    $B$H$K$h$C$F!"B>$N05=L%D!<%k$rMxMQ$9$k$3$H$b$G$-$^$9!#(B
+
+ Q: $BAG?M$N?M$G$b!"4A;z$,I=<($G$-$k$h$&$K!"%G%#%U%)%k%H$N@_Dj(B
+    $B$r$7$F%$%s%9%H!<%k$7$?$$$N$G$9$,!#(B
+ A: less$B$O!"(BJLESSCHARSET$B$J$I$N4D6-JQ?t$,@_Dj$5$l$F$$$J$$>l9g(B
+    $B$K$O!"(Bdefines.h$BCf$N(BDEFCHARSET$B%^%/%m$NJ8;zNs$rMxMQ$9$k$h(B
+    $B$&$K$J$C$F$$$^$9!#:G=i$K(Bconfigure$B$r<B9T$7$?8e!"$3$N%U%!(B
+    $B%$%kCf$N(BDEFCHARSET$B%^%/%m$K(B"japanese"$B$J$I$NJ8;zNs$r@_Dj$7!"(B
+    $B<!$K(BHAVE_LOCALE$B%^%/%m$r(B0$B$K$7$F!"%3%s%Q%$%k$7$F2<$5$$!#(B
+
+ Q: $B$"$k%U%!%$%k$rFI$`$H!"2hLL$KI=<($5$l$kJ8;z$,2u$l$F$7$^$$!"(B
+    $B85$KLa$j$^$;$s!#(B
+ A: $BC<Kv$K$h$C$F$O!"Nc$($P8E$$(Bkterm$B$J$I$G$O!"(BISO 2022$B$r$A$c(B
+    $B$s$H%5%]!<%H$7$F$$$^$;$s!#$=$&$$$C$?C<Kv$rMxMQ$7$F$$$k>l(B
+    $B9g$O!"(BJLESSCHARSET$B4D6-JQ?t$K!"(B"japanese-jis"$B$J$I$H!"(BJIS
+    $B$@$1$rMxMQ$9$k$3$H$rL@3N$K@_Dj$7$F;H$C$F2<$5$$!#(B
+
+ Q: SJIS$B$N%U%!%$%k$rFI$`$H!"$?$^$KJQ$JJ8;z$,I=<($5$l$^$9!#(B
+ A: $B4A;z$N<+F0H=JL$O40`z$G$O$"$j$^$;$s!#$=$N$?$a!"B?>/LdBj$,(B
+    $BH/@8$7$^$9!#(B'^L'$B$HF~NO$7!"2hLL$r:FIA2h$9$k$HD>$k>l9g$,B?(B
+    $B$$$G$9!#$=$l$G$bBLL\$J$i!"(B'@'$B%-!<$r?t2s2!$7$F!"2hLL2<$K(B
+    "sjis codeset..."$B$HI=<($5$;$F2<$5$$!#<+F0H=JL$r6X;_$G$-(B
+    $B$^$9!#85$N>uBV$KLa$9$K$O!"$3$N%-!<$r7+$jJV$72!$7$F2<$5$$!#(B
+
+    $B0lJ}!"0z?t$K(B-Z$B$H;XDj$9$k$3$H$G!"(BSJIS$B$rM%@h$7$F<+F0H=JL$r(B
+    $B9T$&$3$H$b$G$-$^$9!#%3%s%Q%$%k;~$K(BSJIS_PRE$B$rDj5A$9$l$P!"(B
+    $B:G=i$+$i(BSJIS$B$rM%@h$7!"(B-Z$B$G:#EY$O5U$K(BUJIS$B$rM%@h$9$k$H$$$C(B
+    $B$?!"5U$NF0:n$r$9$k$h$&$K$b$G$-$^$9!#(B
+
+    $B$^$?!"(BJLESSCHARSET$B4D6-JQ?t$r(B"sjis"$B$K$9$k$3$H$G!":G=i$+$i(B
+    $B<+F0H=JL$r6X;_$9$k$3$H$b$G$-$^$9!#(B
+
+ Q: SJIS$B$G8!:w$9$kF|K\8l$rF~$l$k$HJQ$K$J$j$^$9!#(B
+ A: JLESSKEYCHARSET$B4D6-JQ?t$K(B"sjis-jis"$B$H@_Dj$7$^$7$g$&!#$^(B
+    $B$?%3%s%Q%$%k$9$k:]$K!"(Bdefines.h$BCf$G!"(BDEFKEYCHARSET$B$KDj5A(B
+    $B$7$F$$$kJ8;zNs$r!"(B"sjis-jis"$B$KJQ49$9$k$H$$$&<j$b$"$j$^$9!#(B
+
+ Q: $BF|K\8l$K$h$k@55,I=8=8!:w$r$7$?$$$N$G$9$,!#(B
+ A: gawk$B$KImB0$7$F$$$k(BGNU$B$N@55,I=8=%i%$%V%i%j$r%^%k%A%P%$%H(B
+    $BBP1~$7$?$b$N$rMxMQ$9$kJ}K!$H!"(Bgawk$B$KImB0$7$F$$$k(BGNU$B$N@5(B
+    $B5,I=8=%i%$%V%i%j$r%^%k%A%P%$%HBP1~$7$?$b$N$r99$K(B
+    character set$BBP1~$5$;$?$b$N$rMxMQ$9$kJ}K!$,$"$j$^$9!#(B
+
+    $B>\$7$/$O!"(Bhttp://www.pobox.com/~jam/less/$B$r;2>H$7$F2<$5(B
+    $B$$!#(B
+
+ Q: $B4A;z$N8!:w$r$9$k$H$H$s$G$b$J$$F0:n$r$9$k$s$G$9$,!#(B
+ A: character set$B$rM}2r$7$J$$@55,I=8=%i%$%V%i%j$rMxMQ$7$?>l(B
+    $B9g!"(BASCII$B$HHs(BASCII$B$H$GF1$8CM$r;H$C$?J8;z$K$D$$$F!"4V0c$C(B
+    $B$F8!:w$K@.8y$7$F$7$^$&>l9g$,$"$j$^$9!#6qBNE*$K$O!"(BJIS
+    X 0201 Japanese (Katakana)$B$N(B"$B%+(B"$B$H(B"6"$B$J$I$,F1$8CM$K$J$j$^(B
+    $B$9!#$3$&$$$C$?8m$C$?8!:w$N2DG=@-$r>/$7$G$b8:$i$9$?$a!"(B
+    less$B$OJ8;z$,Hs(BASCII$B$G$"$C$?>l9g$9$Y$F$N%P%$%H$N(BMSB$B$rN)$F(B
+    $B$^$9!#$?$@$7!"%i%$%V%i%j$K$h$C$F$O!"(BMSB$B$,N)$C$?J8;z$r<h(B
+    $B$j07$($J$$$+$b$7$l$^$;$s!#$=$&$$$C$?>l9g!"$D$^$j$I$&$b8!(B
+    $B:w$,@5$7$/9T$($J$$>l9g$K$O!"(B"--disable-msb"$B$H$$$&%*%W%7%g(B
+    $B%s$H6&$K!"(Bconfigure$B%9%/%j%W%H$r<B9T$7$F%3%s%Q%$%k$7$F2<(B
+    $B$5$$!#(B
+
+ Q: $B8!:w$N;~$K4A;z$r(BJIS$B$GF~NO$7$h$&$H;W$&$N$G$9$,!">e<j$/$G(B
+    $B$-$^$;$s!#(B
+ A: $B%G%#%U%)%k%H$N@_Dj$G$O!"(B\e$$B$H$$$&%-!<F~NO$,MxMQ$5$l$F$$(B
+    $B$^$9!#(B"~/.lesskey"$B%U%!%$%k$K0J2<$r=q$-!"(Blesskey$B$r<B9T$7(B
+    $B$F$*$/$3$H$K$h$j!"(BJIS$B$GF~NO$G$-$k$h$&$K$J$j$^$9!#(B
+
+#line-edit
+\e$	insert ^V\e$
+
+ Q: $B:G2<9T$G$NJT=8$r(Bemacs-like$B$K$d$j$?$$$G$9!#(B
+ A: "~/.lesskey"$B%U%!%$%k$K0J2<$r=q$-!"(Blesskey$B$r<B9T$7$F2<$5(B
+    $B$$!#(B
+
+#line-edit
+^A	home
+^E	end
+^P	up
+^N	down
+^F	right
+^B	left
+\ef	word-right
+^D	delete
+\ed	word-delete
+
+ Q: NEWS-OS 4.0C$B$G$O!"(Bos.c$B$,%3%s%Q%$%k$G$-$^$;$s!#(B
+ A: "#include <setjmp.h>"$B$NA0$K!"0J2<$NDj5A$rF~$l$F2<$5$$!#(B
+
+#define LANGUAGE_C   1
+
+**$B:G8e$K(B**
+
+ - $BLdBj$d2~A1MW5a$,$"$l$P(Bjam@pobox.com$B$K%a%$%k$7$F2<$5$$!#(B
+   $BBP=h$G$-$k$+$b$7$l$^$;$s!#$^$?!"2~A1MW5a$K$D$$$F$O!"B??t(B
+   $B=8$^$l$P!"BP=h$9$k2DG=@-$b9b$/$J$j$^$9!#(B
+ - http://www.pobox.com/~jam/less/$B$K:G?7$N>pJs$r=8$a$F$$$^$9!#(B
+
+
+Local Variables:
+mode: indented-text
+fill-column: 60
+End:
Index: less/acconfig.h
diff -u less/acconfig.h:1.1.1.14 less/acconfig.h:1.10
--- less/acconfig.h:1.1.1.14	Sun Oct 29 02:19:14 2000
+++ less/acconfig.h	Wed Nov 22 03:43:22 2000
@@ -7,18 +7,30 @@
  * For more information about less, or for information on how to 
  * contact the author, see the README file.
  */
+/*
+ * Copyright (c) 1998-2000  Kazushi (Jam) Marukawa
+ * All rights of japanized routines are reserved.
+ *
+ * You may distribute under the terms of the Less License.
+ */
 
 
 /*
  * Regular expression library.
+ * Some are extended to detect character set.
  * Define exactly one of the following to be 1:
+ * HAVE_POSIX_REGCOMP_CS: extended POSIX regcomp() and regex.h
+ * HAVE_V8_REGCOMP_CS: extended Henry Spencer V8 regcomp() and regexp.h
  * HAVE_POSIX_REGCOMP: POSIX regcomp() and regex.h
  * HAVE_PCRE: PCRE (Perl-compatible regular expression) library
  * HAVE_RE_COMP: BSD re_comp()
  * HAVE_REGCMP: System V regcmp()
  * HAVE_V8_REGCOMP: Henry Spencer V8 regcomp() and regexp.h
- * NO_REGEX: pattern matching is supported, but without metacharacters.
+ * NO_REGEX: pattern matching with character set detection is supported,
+ *           but without metacharacters.
  */
+#undef HAVE_POSIX_REGCOMP_CS
+#undef HAVE_V8_REGCOMP_CS
 #undef HAVE_POSIX_REGCOMP
 #undef HAVE_PCRE
 #undef HAVE_RE_COMP
@@ -26,6 +38,26 @@
 #undef HAVE_V8_REGCOMP
 #undef NO_REGEX
 #undef HAVE_REGEXEC2
+
+/*
+ * Does regular expression library detect character set?
+ */
+#undef CS_REGEX
+
+/*
+ * Define MSB_ENABLE if you want to enable a MSB of non ASCII characters.
+ * It will be help if your library has not ability to detect a character set.
+ * If it has ability, this should be 0.  If your system was not worked well,
+ * try to change following into 0 by hand.
+ */
+#undef MSB_ENABLE
+
+/*
+ * Define SJIS0213 or UJIS0213 if you want to enable a JIS X 0213:2000
+ * mapping of SJIS and UJIS encoding.
+ */
+#undef SJIS0213
+#undef UJIS0213
 
 /* Define HAVE_VOID if your compiler supports the "void" type. */
 #undef HAVE_VOID
Index: less/charset.c
diff -u less/charset.c:1.1.1.12 less/charset.c:1.65
--- less/charset.c:1.1.1.12	Sun Oct 29 02:03:31 2000
+++ less/charset.c	Tue Dec  5 07:27:45 2000
@@ -7,6 +7,12 @@
  * For more information about less, or for information on how to 
  * contact the author, see the README file.
  */
+/*
+ * Copyright (c) 1997-2000  Kazushi (Jam) Marukawa
+ * All rights of japanized routines are reserved.
+ *
+ * You may distribute under the terms of the Less License.
+ */
 
 
 /*
@@ -24,32 +30,232 @@
 
 /*
  * Predefined character sets,
- * selected by the LESSCHARSET environment variable.
+ * selected by the JLESSCHARSET or LESSCHARSET environment variable.
  */
 struct charset {
 	char *name;
 	int *p_flag;
 	char *desc;
+	CODESET left;
+	CODESET right;
+	CODESET output;
 } charsets[] = {
-	{ "ascii",	NULL,       "8bcccbcc18b95.b" },
-	{ "dos",	NULL,       "8bcccbcc12bc5b95.b." },
-	{ "ebcdic",	NULL,       "5bc6bcc7bcc41b.9b7.9b5.b..8b6.10b6.b9.7b9.8b8.17b3.3b9.7b9.8b8.6b10.b.b.b." },
-	{ "iso8859",	NULL,       "8bcccbcc18b95.33b." },
-	{ "koi8-r",	NULL,       "8bcccbcc18b95.b128." },
-	{ "latin1",	NULL,       "8bcccbcc18b95.33b." },
-	{ "next",	NULL,       "8bcccbcc18b95.bb125.bb" },
-	{ "utf-8",	&utf_mode,  "8bcccbcc18b." },
-	{ NULL, NULL, NULL }
+	{ "ascii",	NULL,       "8bcccbcc18b95.b",
+		noconv,		none,		noconv		},
+	{ "dos",	NULL,       "8bcccbcc12bc5b95.b.",
+		noconv,		noconv,		noconv		},
+	{ "iso8859",	NULL,       "8bcccbcc18b95.33b.",
+		noconv,		noconv,		noconv		},
+	{ "koi8-r",	NULL,       "8bcccbcc18b95.b128.",
+		noconv,		noconv,		noconv		},
+	{ "ebcdic",	NULL,       "5bc6bcc7bcc41b.9b7.9b5.b..8b6.10b6.b9.7b9.8b8.17b3.3b9.7b9.8b8.6b10.b.b.b.",
+		noconv,		noconv,		noconv		},
+	{ "latin1",	NULL,       "8bcccbcc18b95.33b.",
+		noconv,		noconv,		noconv		},
+	{ "next",	NULL,       "8bcccbcc18b95.bb125.bb",
+		noconv,		noconv,		noconv		},
+	{ "utf-8",	&utf_mode,  "8bcccbcc18b.",
+		noconv,		noconv,		noconv		},
+#if ISO
+	{ "iso7",	NULL,       "8bcccb4c11bc4b96.b",
+		iso7,		noconv,		iso7		},
+	{ "iso8",	NULL,       "8bcccb4c11bc4b95.15b2.16b.",
+		iso7,		iso8,		iso8		},
+# if JAPANESE
+	/* read all KANJI code sets */
+	{ "japanese",		NULL,       "8bcccb4c11bc4b95.b127.b",
+		jis,		japanese,	jis		},
+	{ "japanese-iso7",	NULL,       "8bcccb4c11bc4b95.b127.b",
+		iso7,		japanese,	iso7		},
+	{ "japanese-jis",	NULL,       "8bcccb4c11bc4b95.b127.b",
+		jis,		japanese,	jis		},
+	{ "japanese-ujis",	NULL,       "8bcccb4c11bc4b95.b127.b",
+		jis,		japanese,	ujis		},
+	{ "japanese-euc", 	NULL,       "8bcccb4c11bc4b95.b127.b",
+		jis,		japanese,	ujis		},
+	{ "japanese-sjis",	NULL,       "8bcccb4c11bc4b95.b127.b",
+		jis,		japanese,	sjis		},
+	/* read JIS */
+	{ "jis",	NULL,       "8bcccb4c11bc4b95.b",
+		jis,		none,		jis		},
+	{ "jis-ujis",	NULL,       "8bcccb4c11bc4b95.15b2.17b94.b",
+		jis,		ujis,		ujis		},
+	{ "jis-euc",	NULL,       "8bcccb4c11bc4b95.15b2.17b94.b",
+		jis,		ujis,		ujis		},
+	{ "jis-sjis",	NULL,       "8bcccb4c11bc4b95.b125.3b",
+		jis,		sjis,		sjis		},
+	/* read UJIS */
+	{ "ujis",	NULL,       "8bcccbcc18b95.15b2.17b94.b",
+		noconv,		ujis,		ujis		},
+	{ "euc",	NULL,       "8bcccbcc18b95.15b2.17b94.b",
+		noconv,		ujis,		ujis		},
+	{ "ujis-iso7",	NULL,       "8bcccb4c11bc4b96.14b2.17b94.b",
+		iso7,		ujis,		iso7		},
+	{ "euc-iso7",	NULL,       "8bcccb4c11bc4b96.14b2.17b94.b",
+		iso7,		ujis,		iso7		},
+	{ "ujis-jis",	NULL,       "8bcccb4c11bc4b95.15b2.17b94.b",
+		jis,		ujis,		jis		},
+	{ "euc-jis",	NULL,       "8bcccb4c11bc4b95.15b2.17b94.b",
+		jis,		ujis,		jis		},
+	/* disallow UJIS's katakana to improve the encoding detection */
+	{ "ujis-sjis",	NULL,       "8bcccbcc18b95.15b.18b94.b",
+		noconv,		ujis,		sjis		},
+	{ "euc-sjis",	NULL,       "8bcccbcc18b95.15b.18b94.b",
+		noconv,		ujis,		sjis		},
+	/* read SJIS */
+	{ "sjis",	NULL,       "8bcccbcc18b95.b125.3b",
+		noconv,		sjis,		sjis		},
+	{ "sjis-iso7",	NULL,       "8bcccb4c11bc4b221.b",
+		iso7,		sjis,		iso7		},
+	{ "sjis-jis",	NULL,       "8bcccb4c11bc4b95.b125.3b",
+		jis,		sjis,		jis		},
+	{ "sjis-ujis",	NULL,       "8bcccbcc18b95.b125.3b",
+		noconv,		sjis,		ujis		},
+	{ "sjis-euc",	NULL,       "8bcccbcc18b95.b125.3b",
+		noconv,		sjis,		ujis		},
+# endif
+#endif
+	{ NULL, NULL, NULL, noconv, noconv, noconv }
 };
 
+#if HAVE_LOCALE && ISO
+/*
+ * Predefined local languages,
+ * selected by the setlocale().
+ */
+struct charlocale {
+	char *name;
+	char *charset;
+} charlocales[] = {
+	{ "C",			"ascii"	},
+	{ "wr_WR.ct",		"iso8"	},
+	{ "ja_JP.jis8",		"iso8"		},
+# if JAPANESE
+	{ "ja_JP.JIS",		"japanese-jis"	},
+	{ "ja_JP.jis7",		"japanese-jis"	},
+	{ "ja_JP.EUC",		"japanese-ujis"	},
+	{ "ja_JP.ujis",		"japanese-ujis"	},
+	{ "ja_JP.SJIS",		"japanese-sjis"	},
+	{ "ja_JP.mscode",	"japanese-sjis"	},
+/* Other local locales */
+#  ifdef _AIX
+	/* AIX's */
+	{ "Ja_JP",		"japanese-sjis" },
+	{ "ja_JP.IBM-eucJP",	"japanese-ujis" },
+	{ "Ja_JP.IBM-932",	"japanese-sjis" },
+#  endif
+#  ifdef __hpux
+	/* HPUX */
+	{ "japanese",		"japanese-sjis" },
+	{ "japanese.euc",	"japanese-ujis" },
+#  endif
+	{ "ja",			"japanese-ujis" },
+	{ "ja_JP",		"japanese-ujis" },
+	{ "japan",		"japanese-ujis"	},
+	{ "Japan",		"japanese-ujis"	},
+	{ "japanese",		"japanese-ujis"	},
+	{ "Japanese",		"japanese-ujis"	},
+	/* DEC OSF/1's */
+	{ "ja_JP.eucJP",	"japanese-ujis"	},
+	{ "ja_JP.deckanji",	"japanese-ujis"	},
+	{ "ja_JP.sdeckanji",	"japanese-ujis"	},
+	/* BSDI's */
+	{ "Japanese-EUC",	"japanese-ujis"	},
+	/* Win32 */
+	{ "Japanese_Japan.932",	"japanese-sjis"	},
+# endif
+	{ NULL,                 "" }
+};
+#endif
+
 #define	IS_BINARY_CHAR	01
 #define	IS_CONTROL_CHAR	02
 
 static char chardef[256];
 static char *binfmt = NULL;
 public int binattr = AT_STANDOUT;
+public char* opt_charset = NULL;
+
+
+/*
+ * Look for an appropriate charset and return it.
+ */
+	static struct charset *
+search_charset(name)
+	char *name;
+{
+	struct charset *p;
+	char *name2, *n2;
+	int namelen, name2len;
+	int maxscore, score;
+	struct charset *result;
+
+	if (!name)
+		name = "";
+	namelen = strlen(name);
+	name2 = strchr(name, '-');
+	if (name2)
+	{
+		name2len = namelen;
+		namelen = (name2 - name);
+		name2len -= namelen;
+	} else
+	{
+		name2len = 0;
+	}
+	maxscore = 0;
+	result = NULL;
+	for (p = charsets;  p->name != NULL;  p++)
+	{
+		score = 0;
+		n2 = strchr(p->name, '-');
+		if (strncmp(name, p->name, namelen) == 0) {
+			score += namelen;
+			if ((int) strlen(p->name) == namelen)
+				score++; /* add bonus point for exactly match */
+		}
+		if (name2 && n2 && strncmp(name2, n2, name2len) == 0) {
+			score += name2len - 1;	/* decrease score of '-' */
+			if ((int) strlen(n2) == name2len)
+				score++; /* add bonus point for exactly match */
+		}
+		if (score > maxscore)
+		{
+			maxscore = score;
+			result = p;
+		}
+	}
+	return (result);
+}
+
+/*
+ * Return the CODESET of left plane of named charset.
+ */
+	public CODESET
+left_codeset_of_charset(name)
+	register char *name;
+{
+	struct charset *p = search_charset(name);
+
+	if (p)
+		return (p->left);
+	return (noconv);
+}
 
+/*
+ * Return the CODESET of right plane of named charset.
+ */
+	public CODESET
+right_codeset_of_charset(name)
+	register char *name;
+{
+	struct charset *p = search_charset(name);
 
+	if (p)
+		return (p->right);
+	return (none);
+}
+
 /*
  * Define a charset, given a description string.
  * The string consists of 256 letters,
@@ -130,15 +336,16 @@
 	if (name == NULL || *name == '\0')
 		return (0);
 
-	for (p = charsets;  p->name != NULL;  p++)
+	p = search_charset(name);
+	if (p)
 	{
-		if (strcmp(name, p->name) == 0)
-		{
-			ichardef(p->desc);
-			if (p->p_flag != NULL)
-				*(p->p_flag) = 1;
-			return (1);
-		}
+		ichardef(p->desc);
+		if (p->p_flag != NULL)
+			*(p->p_flag) = 1;
+#if ISO
+		init_def_codesets(p->left, p->right, p->output);
+#endif
+		return (1);
 	}
 
 	error("invalid charset name", NULL_PARG);
@@ -154,6 +361,41 @@
 ilocale()
 {
 	register int c;
+#if ISO
+	/*
+	 * We cannot trust in a system's ctype because it
+	 * cannot treat any coding system are not like EUC.
+	 */
+	register char *name;
+	register struct charlocale *p;
+
+#if MSB_ENABLE
+	/* HP-UX is used LC_COLLATE to specify codes in the regexp library. */
+	(void) setlocale(LC_COLLATE, "");
+#endif
+	name = setlocale(LC_CTYPE, "");
+#ifdef __hpux
+	if (name != NULL)
+		name = getlocale(LOCALE_STATUS)->LC_CTYPE_D;
+#endif
+	/*
+	 * Search some environment variable like a setlocale()
+	 * because some poor system's setlocale treat only
+	 * system's local locale.
+	 */
+	if (name == NULL)
+		name = getenv("LC_CTYPE");
+	if (name == NULL)
+		name = getenv("LANG");
+	for (p = charlocales; name && p->name != NULL; p++)
+	{
+		if (strcasecmp(name, p->name) == 0)
+		{
+			(void) icharset(p->charset);
+			return;
+		}
+	}
+#endif
 
 	setlocale(LC_ALL, "");
 	for (c = 0;  c < (int) sizeof(chardef);  c++)
@@ -196,6 +438,27 @@
 }
 
 /*
+ * Initialize planeset data structures.
+ */
+	public void
+init_planeset()
+{
+	char *s;
+
+#if ISO
+	s = lgetenv("JLESSPLANESET");
+	if (s == NULL)
+		s = DEFPLANESET;
+	if (set_planeset(s) < 0)
+	{
+		error("invalid plane set", NULL_PARG);
+		quit(1);
+		/*NOTREACHED*/
+	}
+#endif
+}
+
+/*
  * Initialize charset data structures.
  */
 	public void
@@ -206,6 +469,22 @@
 	s = lgetenv("LESSBINFMT");
 	setbinfmt(s);
 	
+#if JAPANESE
+	/*
+	 * See if option -K is defined.
+	 */
+	s = opt_charset;
+	if (icharset(s))
+		return;
+#endif
+#if ISO
+	/*
+	 * See if environment variable JLESSCHARSET is defined.
+	 */
+	s = lgetenv("JLESSCHARSET");
+	if (icharset(s))
+		return;
+#endif
 	/*
 	 * See if environment variable LESSCHARSET is defined.
 	 */
@@ -213,7 +492,7 @@
 	if (icharset(s))
 		return;
 	/*
-	 * LESSCHARSET is not defined: try LESSCHARDEF.
+	 * JLESSCHARSET and LESSCHARSET are not defined: try LESSCHARDEF.
 	 */
 	s = lgetenv("LESSCHARDEF");
 	if (s != NULL && *s != '\0')
@@ -243,9 +522,10 @@
 	ilocale();
 #else
 	/*
-	 * Default to "latin1".
+	 * All variables are not defined either, default to DEFCHARSET.
+	 * DEFCHARSET is defined in defines.h.
 	 */
-	(void) icharset("latin1");
+	(void) icharset(DEFCHARSET);
 #endif
 }
 
@@ -271,18 +551,38 @@
 	return (chardef[c] & IS_CONTROL_CHAR);
 }
 
+#if ISO
+/*
+ * Change a database to check "control" character.
+ *  This function is called by multi.c only to support iso2022 charset.
+ */
+	public void
+change_control_char(c, flag)
+	int c, flag;
+{
+	c &= 0377;
+	if (flag)
+		chardef[c] |= IS_CONTROL_CHAR;
+	else
+		chardef[c] &= ~IS_CONTROL_CHAR;
+}
+#endif
+
 /*
  * Return the printable form of a character.
  * For example, in the "ascii" charset '\3' is printed as "^C".
  */
 	public char *
-prchar(c)
+prchar(c, cs)
 	int c;
+	CHARSET cs;
 {
 	static char buf[8];
 
 	c &= 0377;
-	if (!control_char(c))
+	if (CSISWRONG(cs) && c > 127)
+		sprintf(buf, binfmt, c);
+	else if (!control_char(c))
 		sprintf(buf, "%c", c);
 	else if (c == ESC)
 		sprintf(buf, "ESC");
Index: less/cmd.h
diff -u less/cmd.h:1.1.1.12 less/cmd.h:1.18
--- less/cmd.h:1.1.1.12	Sun Oct 29 02:03:36 2000
+++ less/cmd.h	Tue Oct 31 04:30:39 2000
@@ -7,6 +7,12 @@
  * For more information about less, or for information on how to 
  * contact the author, see the README file.
  */
+/*
+ * Copyright (c) 1997-2000  Kazushi (Jam) Marukawa
+ * All rights of japanized routines are reserved.
+ *
+ * You may distribute under the terms of the Less License.
+ */
 
 
 #define	MAX_USERCMD		500
@@ -63,6 +69,10 @@
 #define	A_F_FOREVER		50
 #define	A_GOPOS			51
 #define	A_REMOVE_FILE		52
+
+#if JAPANESE
+#define A_ROT_RCODESET		80
+#endif
 
 #define	A_INVALID		100
 #define	A_NOACTION		101
